Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 213325

Summary: net-misc/icecast-2.3.1-r2 breaks with sys-devel/gcc-4.3
Product: Gentoo Linux Reporter: Dennis Schridde <devurandom>
Component: [OLD] GCC PortingAssignee: Gentoo Sound Team <sound>
Status: RESOLVED FIXED    
Severity: normal CC: esigra
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 198121    
Attachments: build log

Description Dennis Schridde 2008-03-13 23:58:18 UTC
Problem:
icecast-2.3.1 breaks (probably bad code) when being compiled with gcc-4.3.
Symptom is icecast binding to a random port instead of the one configured in the configfile.

The exact cause is unknown, but there are loads of warnings related to pointers and unspecified behaviour.
Their svn version (currently r14584) has neither warnings nor the symptoms, so I guess it is fixed there. (I've heard rumors there will be a new release branching from trunk soon...)
Due to the number of warnings and possible causes and the working svn version I did not create a patch.
Though due to the silent nature of the bug I created this report anyway.

Proposed fix:
Bump to >=icecast-2.4_pre14584 which would be a svn snapshot.

Reproducible: Always

Steps to Reproduce:
Comment 1 Ryan Hill (RETIRED) gentoo-dev 2008-05-18 14:15:30 UTC
Created attachment 153543 [details]
build log

Portage 2.2_pre6 (default/linux/amd64/2008.0/developer, gcc-4.3.1-pre20080516, glibc-2.7-r2, 2.6.25-gentoo-r3 x86_64)
=================================================================
System uname: 2.6.25-gentoo-r3 x86_64 Intel(R) Core(TM)2 Duo CPU T9300 @ 2.50GHz
Timestamp of tree: Sun, 18 May 2008 01:05:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6
dev-lang/python:     2.5.2-r3
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.4-r1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.62
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18.50.0.7
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.25-r3
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O3 -march=core2 -fomit-frame-pointer -pipe -fdirectives-only"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O3 -march=core2 -fomit-frame-pointer -pipe -fdirectives-only"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache collision-protect cvs digest distlocks fixpackages multilib-strict parallel-fetch preserve-libs sandbox sfperms sign splitdebug strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://gentoo.mirrors.tera-byte.com/ http://gentoo.osuosl.org http://distfiles.gentoo.org"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/layman/mozilla /home/dirtyepic/overlay /home/dirtyepic/svn/dirtyepic /home/dirtyepic/svn/gcc-porting"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acpi akode alsa amd64 audiofile avahi bash-completion berkdb bluetooth bzip2 cairo cdr cli consolekit cpudetection cracklib crypt css curl dbus dri dts dvd dvdr dvdread eds emboss encode evo exif expat fam ffmpeg fftw flac fontconfig gdbm gif gmp gpgme gphoto2 gstreamer gtk hal hdaps howl-compat hpn iconv id3tag ieee1394 imap imlib ipw4965 isdnlog jpeg kde kdeenablefinal kdehiddenvisibility lame laptop libffi libwww mad mdnsresponder-compat midi mikmod mmap mmx mozilla mp3 mpeg multilib ncurses network-cron nntp nptl nptlonly nsplugin ogg opengl openmp pam pch pcre pdf perl pic png pop ppds pppd pth python qt3 qt3support quicktime readline reflection rtc sasl session smapi smime smp smtp sndfile spell spl sse sse2 ssl ssse3 startup-notification svg tcpd theora threads tiff truetype unicode urandom usb utempter vim-syntax vorbis wifi x264 xcb xcomposite xine xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="i810"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Ryan Hill (RETIRED) gentoo-dev 2008-05-18 14:19:08 UTC
cfgfile.c:162: warning: comparison with string literal results in unspecified behavior
fserve.c:526: warning: format '%lld' expects type 'long long int', but argument 5 has type 'int64_t'

and hundreds of differ in signedness warnings.
Comment 3 Peter Alfredsen (RETIRED) gentoo-dev 2008-06-08 21:17:15 UTC
Fixed with 2.3.2, AFAICT. Reopen if not.